SCM Creator (+Github) - Feature #1760

Make SCM optional even with auto_create
30 May 2011 13:43 - Jean-Sébastien Bour

Status: Closed Start date: 30 May 2011
Priority: Normal Due date: 01 Jun 2011
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.0

External issue:

Description

We use Redmine for projects which don't really have source code; | don’t think repository creation should be forced with auto_create.
| attach a really ugly patch just for the PoC of what | think should be done. Ugly because there’s some business logic in a view, which
should probably go into a controller helper like the repository helper, and | hacked the project class patch just to “make it work”
although | don't really looked for what a safe_attributes is (and maybe the after_create should be filtered with a “if @scm” ?)

History

#1 - 30 May 2011 15:39 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version set to 0.1.0

Yeah! You are right! auto_create should not mean “force”... Thanks for suggestion!..

I think | will may be add possible values to auto_create like: true, false or force (meaning true but require SCM)...

#2 - 01 Jun 2011 15:35 - Andriy Lesyuk

- Subject changed from Make SCM optionnal even with autocreate to Make SCM optional even with auto_create
- Due date set to 01 Jun 2011

- Status changed from Open to Closed

- % Done changed from 0 to 100

| believe | have fixed it!

Files

make_scm_optionnal_even_with_autocreate.patch 1.65 KB 30 May 2011 Jean-Sébastien Bour
